{%extends "base.html"%}
{%block css%}<link rel="stylesheet" href="../css/site.css">{%endblock%}
{%block title%}
  <title>{{post.title}} &middot; c17e</title>
{%endblock%}
{%block content%}
<h1 id = 'title'> <a href= "#" class = "blogbuttondash"> {{post.title}} </a> </h1>
<p id='dateauth'> {{post.date}} &middot; {{post.author}}</p>
<h3>
            <span style="font-family :'Courier New', Courier, monospace">
                tags:
            </span>
            {%for tag in post.tags%}
            <a href="../tags/{{tag.url}}" class= 'navbuttontag'>{{tag.id}}</a> &nbsp;
            {%endfor%}
        </h3>
<div id='maindiv'>
    {{post.content}}
</div>

<br>
<hr>


<div id='nocom'>
  <h2><div class = 'dateblogleft'> {{number}} {{what}} </div></h2> <br>
  {%for comment in comments%}
    <div id = 'comments'>
      <h3><small class = 'dateblogleft'>{{comment.author}}  &middot; {{comment.date}}</small><br></h3>
      <div>
          {{comment.comment}}
          <br>
      </div>
    </div>
  {%endfor%}
</div>
<!-- Comment form -->
<!--Copied from theshorttamperedclavier.github.io--> <br> <br>
<div class = "dateblogleft" id = "commentshid">
    <h3>Leave a Comment</h3>
      <form method="POST" action="https://c17e-secure-comments.onrender.com/createcomment">
        <input name="options[redirect]" type="hidden" value="http://juggernautjha.gitlab.io/c17e/posts/{{post.url}}">
        <input name="options[slug]" type="hidden" value={{post.url}}>
        <input name="options[projID]" type="hidden" value=26685949>
        <div>
            <legend>Username (required)</legend>
            <input name="fields[username]" type="text">
        </div>
        <div>
            <legend>Comment (<a href="https://daringfireball.net/projects/markdown/syntax">Markdown</a> allowed)</legend>
            <textarea style="width:100%" name="fields[comment]" rows="12"></textarea>
        </div>
        <div>
            <legend><em><small>Your comments are posted after a delay (typically 5 minutes). Please DO NOT press the submit button repeatedly. </small></em></legend>
            <button type="submit" id = "comment-form">Submit</button>
        </div>
    </form>
</div>
{%endblock%}
